GNU/Linux Administration - Bug #917

Convert Grub BIOS Bootloader To UEFI Bootloader
01/08/2018 12:47 PM - Daniel Curtis

Status: Closed Start date: 01/08/2018
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Workstation Estimated time: 0.50 hour
Target version: Arch Linux Spent time: 1.00 hour
Description

| recently installed Antergos onto a MicroSD card on a STCK1A8LFC and the GUI installer failed to install the UEFI partition properly
and defaulted to the BIOS bootloader. Since the STCK1A8LFC only boots using UEFI mode, | needed to fix my installation.

Prepare the Partition
e To start, make sure the system is booted up to live environment.

¢ Since the installer already created the partition, but failed to assign it the proper type, run fdisk and check the type to an EFI
System:
fdisk /dev/mmcblk?2
t
1
1
Y
e Then format the EFI partition to FAT32:

mkfs.fat -F32 /dev/mmcblk2pl

Install Grub UEFI

* Mount the system partition that contains /boot :
mount /dev/mmcblk2p2 /mnt
* Mount the EFI partition:

mkdir /mnt/boot/efi
mount /dev/mmcblk2pl /mnt/boot/efi

e |nstall grub efi:

grub—-install --target=x86_64-efi —--efi-directory=/mnt/boot/efi --boot-directory=/mnt/boot --re
movable —--recheck

e Unmount and reboot:
umount /mnt/boot/efi
umount /mnt/boot
reboot
h2. Resources
e https://wiki.archlinux.org/index.php/EFI_System_Partition
e https://wiki.archlinux.org/index.php/USB_flash_installation_media
e https://wiki.archlinux.org/index.php/Multiboot USB_drive

History

#1 - 01/10/2018 04:36 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 03/19/2018 08:52 PM - Daniel Curtis

- Status changed from Resolved to Closed
